#ifndef VxP202_
#define VxP202_
/*-----------------------------------------------------------*/

#define VxP_BASE               0x500
#define VxP_INDEX              VxP_BASE
#define VxP_DATA_WRITE         VxP_INDEX+2
#define VxP_DATA_READ          VxP_INDEX+2

/*-----------------------------------------------------------*/

#define VxP_PX_BUS             0x06
  #define DEFAULT_06           0xE0
  /*--- pipeline slave select ---*/
  #define VxP_PIPE_SLAVE_SEL     0x01
  #define VxP_CAPT_PIPE_SLAVE    0x00*VxP_PIPE_SLAVE_SEL
  #define VxP_VIDIN_PIPE_SLAVE   0x01*VxP_PIPE_SLAVE_SEL
  #define VxP_VIO_IFACE_SLAVE    0x02*VxP_PIPE_SLAVE_SEL
  #define VxP_ISA_IFACE_SLAVE    0x03*VxP_PIPE_SLAVE_SEL
  /*--- pipeline master select ---*/
  #define VxP_PIPE_MASTER_SEL    0x04
  #define VxP_ISA_IFACE_MASTER   0x00*VxP_PIPE_MASTER_SEL
  #define VxP_VIO_IFACE_MASTER   0x01*VxP_PIPE_MASTER_SEL
  #define VxP_CAPT_PIPE_MASTER   0x02*VxP_PIPE_MASTER_SEL
  #define VxP_VIDIN_PIPE_MASTER  0x03*VxP_PIPE_MASTER_SEL
  /*--- master write/read select ---*/
  #define VxP_MASTER_RW_SEL      0x10
  #define VxP_MASTER_RD_SLAVE    0x00*VxP_MASTER_RW_SEL
  #define VxP_MASTER_WR_SLAVE    0x01*VxP_MASTER_RW_SEL
  /*--- timeout duration select ---*/
  #define VxP_TOSEL              0x20
  #define VxP_183_MEM_CLK_CYC    0x00*VxP_TOSEL
  #define VxP_375_MEM_CLK_CYC    0x01*VxP_TOSEL
  #define VxP_576_MEM_CLK_CYC    0x02*VxP_TOSEL
  #define VxP_759_MEM_CLK_CYC    0x03*VxP_TOSEL
  /*--- timeout enable ------------*/
  #define VxP_TOC_ENABLE_CTRL    0x80
  #define VxP_TOC_DISABLE        0x00*VxP_TOC_ENABLE_CTRL
  #define VxP_TOC_ENABLE         0x01*VxP_TOC_ENABLE_CTRL
  /*--- some useful combinations ---*/
  #define VxP_SOFTWARE_CAPTURE   0x00
  #define VxP_HW_CAPT_VIO        0x04
  #define VxP_SOFTWARE_PLAYBACK  0x11
  #define VxP_HARDWARE_PLAYBACK  0x15
  #define VxP_CAPT_TO_PLAYBACK   0x19
  #define VxP_SW_TO_HW_PLAYBACK  0x12
  #define VxP_HW_SW_CAPT         0x02
  #define VxP_HW_CAPT_PIPE       0x1A
  #define VxP_DMA_CAPT           0x1B
  #define VxP_DMA_PLAYBACK       0x0F

#define VxP_IO_BASE            0x10

#define VxP_RESET              0x11
  #define VxP_PAL_RD_DISABLE     0x00
  #define VxP_PAL_RD_ENABLE      0x01
  #define VxP_565_DISABLE        0x04
  #define VxP_565_ENABLE         0x00
  #define VxP_FEATURE_DISABLE    0x00
  #define VxP_FEATURE_ENABLE     0x08
  #define VxP_VIDEON_ACTIVE_LOW  0x00
  #define VxP_VIDEON_ACTIVE_HIGH 0x10
  #define VxP_DELAY_SYNC_DISABLE 0x00
  #define VxP_DELAY_SYNC_ENABLE  0x20

#define VxP_MEM_WIN_CTRL       0x14
  #define VxP_MEM_WIN_32K        0x00
  #define VxP_MEM_WIN_128K       0x40
  #define VxP_MEM_WIN_DISABLE    0x00
  #define VxP_MEM_WIN_ENABLE     0x80

#define VxP_DRAM_CTRL          0x17
  #define VxP_DRAM_RFSH_OFF      0x00
  #define VxP_DRAM_RFSH_ON       0x01
  #define VxP_RAS_CAS_DELAY_2CLK 0x00
  #define VxP_RAS_CAS_DELAY_3CLK 0x02
  #define VxP_RAS_CAS_DELAY_4CLK 0x04
  #define VxP_RAS_PRECHARGE_2CLK 0x08
  #define VxP_RAS_PRECHARGE_3CLK 0x00
  #define VxP_RAS_PRECHARGE_4CLK 0x18
  #define VxP_RAS_PRECHARGE_5CLK 0x20
  #define VxP_RAS_HOLD_2CLK      0x00
  #define VxP_RAS_HOLD_3CLK      0x80

#define VxP_CLK_FRQ_LOW        0x27
#define VxP_CLK_FRQ_HIGH       0x28
  #define VxP_CLK_FRQ_STABLE     0x80
  #define VxP_CLK_SELECT_VIDIN   0x40
  #define VxP_CLK_SELECT_VIDOUT  0x00
  #define VxP_CLK_COUNTER_START  0x00
  #define VxP_CLK_COUNTER_HOLD   0x20

#define VxP_ISA_CTRL           0x30
  /*--- timeout interrupt pening ------*/
  #define VxP_ISA_TO_PENDING     0x01
  #define VxP_ISA_MEM_8BIT       0x00
  #define VxP_ISA_MEM_16BIT      0x02
  /*--- tight decode enable/disable ---*/
  #define VxP_NO_MEMSC16         0x00
  #define VxP_MEMSC16            0x04
  /*--- owner 128K decode -------------*/
  #define VxP_OWNER_128K_DISABLE 0x00
  #define VxP_OWNER_128K_ENABLE  0x08
  /*--- zero wait-state ---------------*/
  #define VxP_ZERO_WAIT_DISABLE  0x00
  #define VxP_ZERO_WAIT_ENABLE   0x10
  /*--- zerows command mode -----------*/
  #define VxP_ZEROWS_MEMCS16     0x00
  #define VxP_ZEROWS_MEM_RW      0x20
  /*--- ISA timeout mask --------------*/
  #define VxP_ISA_TOC_NOINT      0x00
  #define VxP_ISA_TOC_INT        0x40
  /*--- global reset ------------------*/
  #define VxP_GLOBAL_RESET       0x80

#define VxP_I2C_CTRL           0x34
  #define VxP_I2C_CLK             0x01
  #define VxP_I2C_DATA            0x04
  #define VxP_I2C_CLK_BACK        0x10
  #define VxP_I2C_DATA_BACK       0x20
  #define VxP_I2C_ECLK            0x40
  #define VxP_I2C_FRAME           0x80

#define VxP_PLL_CTRL_A         0x36
#define VxP_PLL_CTRL_B         0x37

#define VxP_INPUT_CFG_A        0x38
  /*--- horizontal sync polarity ---*/
  #define VxP_HSYNC_LOW_ACTIVE   0x00
  #define VxP_HSYNC_HIGH_ACTIVE  0x01
  /*--- vertical sync polarity ---*/
  #define VxP_VSYNC_LOW_ACTIVE   0x00
  #define VxP_VSYNC_HIGH_ACTIVE  0x02
  /*--- early sync ---*/
  #define VxP_EARLY_SYNC_DATA    0x00
  #define VxP_EARLY_SYNC_TAGN    0x04
  /*--- video decoder/CL 450 enable ---*/
  #define VxP_CL450_DISABLE      0x00
  #define VxP_CL450_ENABLE       0x08
  /*--- input pipeline reset -------*/
  #define VxP_INPUT_PIPE_RESET   0x10
  /*--- horizontal sync delay ------*/
  #define VxP_HSYNC_NODELAY      0x00
  #define VxP_HSYNC_DELAY_1CLK   0x20
  /*--- test mode for luma and chroma ram ---*/
  #define VxP_LUMA_TEST_55       0x40
  #define VxP_LUMA_TEST_AA       0xC0

#define VxP_INPUT_CFG_B        0x39
  /*--- input data format -----------*/
  #define VxP_INPUT_YUV422       0x00
  #define VxP_INPUT_RGB555       0x01
  #define VxP_INPUT_RGB565       0x02
  #define VxP_INPUT_PALETTIZED   0x03
  /*--- enable compressed buffer ----*/
  #define VxP_COMP_BUFF_DISABLE  0x00
  #define VxP_COMP_BUFF_ENABLE   0x04
  /*--- video scan type -------------*/
  #define VxP_INTERLACE_INPUT    0x00
  #define VxP_PROGRESSIVE_INPUT  0x08
  /*--- memory data type ------------*/
  #define VxP_6BIT_4_1_1_DIFF    0x00
  #define VxP_8BIT_4_2_2_DIFF    0x10
  /*--- conver chroma sign ----------*/
  #define VxP_CNV_CHROMA_DISABLE 0x00
  #define VxP_CNV_CHROMA_ENABLE  0x20
  /*--- VIO / VIN select ------------*/
  #define VxP_SELECT_VIN         0x00
  #define VxP_SELECT_VIO         0x40

/*--- all these have 10 bit ---------*/
#define VxP_ISA_SRC_WIDTH_A    0x3A
#define VxP_ISA_SRC_WIDTH_B    0x3B
#define VxP_ISA_SRC_HEIGHT_A   0x3C
#define VxP_ISA_SRC_HEIGHT_B   0x3D
#define VxP_HOR_CROP_LEFT_A    0x40
#define VxP_HOR_CROP_LEFT_B    0x41
#define VxP_HOR_CROP_RIGHT_A   0x44
#define VxP_HOR_CROP_RIGHT_B   0x45
#define VxP_VER_CROP_TOP_A     0x48
#define VxP_VER_CROP_TOP_B     0x49
#define VxP_VER_CROP_BOTTOM_A  0x4C
#define VxP_VER_CROP_BOTTOM_B  0x4D

#define VxP_FILTER_CTRL        0x50
  /*--- horizontal luma filter mode --*/
  #define VxP_HOR_LUMA_NO_FILTER 0x00
  #define VxP_HOR_LUMA_2TAP      0x01
  #define VxP_HOR_LUMA_3TAP      0x02
  #define VxP_HOR_LUMA_4TAP      0x03
  /*--- horizontal chroma filter mode */
  #define VxP_HOR_CHROMA_NO_FLT  0x00
  #define VxP_HOR_CHROMA_2TAP    0x04
  /*--- vertical filter mode ---------*/
  #define VxP_VERT_NO_FILTER     0x00
  #define VxP_VERT_2TAP          0x10
  /*--- vertical drop or overwrite ---*/
  #define VxP_VERT_DROP          0x00
  #define VxP_VERT_OVERWRITE     0x40
  /*--- vertical uniform or paired ---*/
  #define VxP_VERT_UNIFORM       0x00
  #define VxP_VERT_PAIRED        0x80

#define VxP_HOR_SCALE_CTRL_A   0x54
#define VxP_HOR_SCALE_CTRL_B   0x55
#define VxP_VER_SCALE_CTRL_A   0x5B
#define VxP_VER_SCALE_CTRL_B   0x5C
#define VxP_PICT_CTRL_ADR      0x5D
#define VxP_PICT_CTRL_LUMA     0x5E
#define VxP_PICT_CTRL          0x5F

#define VxP_INT_CTRL_1         0x60
  /*--- interrupt source input even field ---*/
  #define VxP_INT_EVEN_DISABLE   0x00
  #define VxP_INT_EVEN_ENABLE    0x01
  /*--- interrupt source input odd field ---*/
  #define VxP_INT_ODD_DISABLE    0x00
  #define VxP_INT_ODD_ENABLE     0x02
  /*--- interrupt at start of each frame ---*/
  #define VxP_INT_ON_FRAME_CLR   0x00
  #define VxP_INT_ON_FRAME_SET   0x04
  /*--- interrupt video decoder input ---*/
  #define VxP_INT_VDEC_CLR       0x00
  #define VxP_INT_VDEC_SET       0x08
  /*--- interrupt when capture fifo has data ---*/
  #define VxP_INT_ON_FIFO_OFF    0x00
  #define VxP_INT_ON_FIFO_ON     0x10
  /*--- fifo data drop (on overflow) ---*/
  #define VxP_FIFO_DATA_DROP     0x20
  /*--- DMA TC ---*/
  #define VxP_DMA_TC_DISABLE     0x00
  #define VxP_DMA_TC_ENABLE      0x40
  /*--- interrupt video decoder ---*/
  #define VxP_INT_VDEC_INACTIVE  0x80

#define VxP_INT_STATUS_1       0x61
#define VxP_VIN_MBUF_DEPTH_A   0x68
#define VxP_TIME_SCALE_CTRL    0x6D

#define VxP_VIDEO_LAYOUT_CTRL  0x73
  /*--- video buffer layout ---------*/
  #define VxP_VIDEO_BUFFER_512   0x00
  #define VxP_VIDEO_BUFFER_256_2 0x01
  #define VxP_VIDEO_BUFFER_1024  0x02
  #define VxP_VIDEO_BUFFER_256_4 0x03

#define VxP_INPUT_FIFO         0x78

#define VxP_CAPT_CTRL          0x80
  #define VxP_CAPT_REG_HOLD      0x07
  #define VxP_CAPT_REG_RELEASE   0x05

#define VxP_CAPT_VPORT_WIDTH_A 0x84
#define VxP_CAPT_VPORT_WIDTH_B 0x85
#define VxP_CAPT_VPORT_HEIGH_A 0x86
#define VxP_CAPT_VPORT_HEIGH_B 0x87
#define VxP_CAPT_FIFO_THRESH   0x88
#define VxP_CAPT_MBUFF_DEPTH   0x8A
#define VxP_OUT_FIFO_TH_CTRL   0x90
#define VxP_OUT_REQ_ACT_LEVEL  0x91

#define VxP_DISPLAY_CTRL       0x92
  /*--- VGA color key enable ---------*/
  #define VxP_VGA_COL_KEY_DISABLE 0x00
  #define VxP_VGA_COL_KEY_ENABLE  0x01
  /*--- VGA 1555 enable --------------*/
  #define VxP_VGA1555_KEY_DISABLE 0x00
  #define VxP_VGA1555_KEY_ENABLE  0x02
  /*--- VGA display window enable ----*/
  #define VxP_VGA_WINDOW_DISABLE  0x00
  #define VxP_VGA_WINDOW_ENABLE   0x04
  /*--- video output region select ---*/
  #define VxP_VIDEO_KEY_DPY       0x00
  #define VxP_VIDEO_DPY_ONLY      0x08
  #define VxP_VIDEO_KEY_ONLY      0x10
  #define VxP_VIDEO_NO_KEY_NO_DPY 0x18
  /*--- video in color key region ----*/
  #define VxP_VIDEO_NON_COL_KEY   0x00
  #define VxP_VIDEO_IN_COL_KEY    0x20
  /*--- VGA in chroma key region -----*/
  #define VxP_VGA_NON_CHROMA_KEY  0x00
  #define VxP_VGA_IN_CHROMA_KEY   0x40
  /*--- video in display window region */
  #define VxP_VIDEO_NON_DPY_WIN   0x00
  #define VxP_VIDEO_IN_DPY_WIN    0x80

#define VxP_MBUFF_DEPTH_CTRL   0x93

#define VxP_VGA_CTRL_A         0x94
  /*--- VGA display mode ---*/
  #define VxP_VGA_NON_INTERLACED 0x00
  #define VxP_VGA_INTERLACED     0x01
  /*--- VGA vertical sync polarity ----*/
  #define VxP_VGA_VERT_SYNC_LOW  0x00
  #define VxP_VGA_VERT_SYNC_HIGH 0x02
  /*--- VGA horizontal sync polarity --*/
  #define VxP_VGA_HOR_SYNC_LOW   0x00
  #define VxP_VGA_HOR_SYNC_HIGH  0x04
  /*--- VGA direct color 16 -----------*/
  #define VxP_DIRECT_16_DISABLE  0x00
  #define VxP_DIRECT_16_ENABLE   0x08
  /*--- VGA direct color double clock -*/
  #define VxP_DIRECT_COL_DISABLE 0x00
  #define VxP_DIRECT_COL_ENABLE  0x10
  /*--- 16 bit direct color mode ------*/
  #define VxP_16BIT_DIRECT_555   0x00
  #define VxP_16BIT_DIRECT_565   0x20
  #define VxP_16BIT_DIRECT_664   0x40
  #define VxP_16BIT_DIRECT_655   0x60
  /*--- VGA field ---------------------*/
  #define VxP_VGA_FIELD_1        0x00
  #define VxP_VGA_FIELD_0        0x80

#define VxP_VGA_CTRL_B         0x95
  /*--- 24 bit direct color VGA ---*/
  #define VxP_VGA_24BIT_DISABLE  0x00
  #define VxP_VGA_24BIT_ENABLE   0x01
  /*--- even field vcount initial value ---*/
  #define VxP_VGA_VCOUNT_1       0x00
  #define VxP_VGA_VCOUNT_3       0x02
  /*--- even field state value ---*/
  #define VxP_VGA_EVEN_FIELD     0x04
  /*--- high speed video clock set ---*/
  #define VxP_VGA_CLK            0x00
  #define VxP_VGA_CLK_2          0x08
  #define VxP_VGA_CLK_3          0x10
  #define VxP_VGA_CLK_4          0x18
  /*--- high speed data path ---*/
  #define VxP_HIGH_SPEED_DISABLE 0x00
  #define VxP_HIGH_SPEED_ENABLE  0x20
  /*--- advanced feature connector extended mode ---*/
  #define VxP_FEATURE_BASELINE   0x00
  #define VxP_FEATURE_EXTENDED   0x40
  /*--- advanced feature connector enable ---*/
  #define VxP_FEATUREC_DISABLE   0x00
  #define VxP_FEATUREC_ENABLE    0x80

#define VxP_OUT_PROC_CTRL_A    0x96
  /*--- horizontal zoom enable ---*/
  #define VxP_HZOOM_DISABLE      0x00
  #define VxP_HZOOM_ENABLE       0x02
  /*--- horizontal interpolation enable ---*/
  #define VxP_HINTERPOL_DISABLE  0x00
  #define VxP_HINTERPOL_ENABLE   0x04
  /*--- chroma interpolation enable ---*/
  #define VxP_CHROMA_IP_DISABLE  0x00
  #define VxP_CHROMA_IP_ENABLE   0x20
  /*--- chroma key enable ---*/
  #define VxP_CHROMA_KEY_DISABLE 0x00
  #define VxP_CHROMA_KEY_ENABLE  0x40

#define VxP_OUT_PROC_CTRL_B    0x97
  /*--- vertical zoom enable ---*/
  #define VxP_VZOOM_DISABLE      0x00
  #define VxP_VZOOM_ENABLE       0x01
  /*--- vertical zoom interpolate enable ---*/
  #define VxP_VZOOM_IP_DISABLE   0x00
  #define VxP_VZOOM_IP_ENABLE    0x02
  /*--- video outpout enable ---*/
  #define VxP_VIDEO_OUT_DISABLE  0x00
  #define VxP_VIDEO_OUT_ENABLE   0x20
  /*--- video output reset ---*/
  #define VxP_VIDEO_OUT_RESET    0x40
  /*--- viewport control register load enable ---*/
  #define VxP_VPORT_REG_LOAD_DIS 0x00
  #define VxP_VPORT_REG_LOAD_EN  0x80

#define VxP_OUT_PROC_CTRL_C    0x98
  /*--- 565 output enable ---*/
  #define VxP_565_OUTPUT_DISABLE  0x00
  #define VxP_565_OUTPUT_ENABLE   0x01
  /*--- internal muxing table ---*/
  #define VxP_INT_MUX_DISABLE     0x00
  #define VxP_INT_MUX_ENABLE      0x02
  /*--- VGA output data mux enable ---*/
  #define VxP_VGA_OUT_MUX_DISABLE 0x00
  #define VxP_VGA_OUT_MUX_ENABLE  0x08
  /*--- VGA output mux mode ---*/
  #define VxP_VGA_MUX_RISE_FALL   0x00
  #define VxP_VGA_MUX_RISE_ONLY   0x10
  /*--- DAC clock invert enable ---*/
  #define VxP_DAC_INV_DISABLE     0x00
  #define VxP_DAC_INV_ENABLE      0x20
  /*--- DAC output delay enable ---*/
  #define VxP_DAC_DELAY_DISABLE   0x00
  #define VxP_DAC_DELAY_ENABLE    0x40
  /*--- horizontal zoom by 2 ---*/
  #define VxP_HZOOM_2_DISABLE     0x00
  #define VxP_HZOOM_2_ENABLE      0x80

#define VxP_PALETTE_READ_ACC   0x9A
  /*--- palette hidden register snoop ---*/
  #define VxP_PAL_REG_SNOOP_DISABLE 0x20
  #define VxP_PAL_REG_SNOOP_ENABLE  0x00

#define VxP_CHROMA_KEY_CTRL    0x9B
#define VxP_KEY_COLOR          0x9C
#define VxP_KEY_COLOR_HI       0x9D
#define VxP_KEY_COLOR_HI2      0x9E

#define VxP_VIDEON_CTRL        0x9F
  /*--- videon (analog mux key) enable ---*/
  #define VxP_VIDEON_MUX_DISABLE 0x00
  #define VxP_VIDEON_MUX_ENABLE  0x01
  /*--- videon overwrite state ---*/
  #define VxP_VIDEON_OWR_LOW     0x00
  #define VxP_VIDEON_OWR_HIGH    0x02

#define VxP_VPORT_START_ADR_A  0xA0
#define VxP_VPORT_WIDTH_A      0xA4
#define VxP_VPORT_HEIGHT_A     0xA6
#define VxP_VPORT_ADR_WH_B     0xA7
#define VxP_VPORT_DPY_OR_TOP_A 0xA8
#define VxP_VPORT_DPY_OR_L_A   0xAA
#define VxP_VPORT_DPY_OR_TL_B  0xAB
#define VxP_DPY_WIN_LEFT_A     0xB0
#define VxP_DPY_WIN_RIGHT_A    0xB4
#define VxP_DPY_WIN_LR_B       0xB5
#define VxP_DPY_WIN_TOP_A      0xB8
#define VxP_DPY_WIN_BOTTOM_A   0xBC
#define VxP_DPY_WIN_TB_B       0xBD
#define VxP_OUT_VZOOM_CTRL_A   0xC0
#define VxP_OUT_VZOOM_CTRL_B   0xC1
#define VxP_OUT_HZOOM_CTRL_A   0xC4
#define VxP_OUT_HZOOM_CTRL_B   0xC5
#define VxP_VER_COORD_OFS      0xC6
#define VxP_HOR_COORD_OFS      0xC7

#define VxP_GPO_DATA_0         0xCB
#define VxP_GPO_DATA_1         0xCC
  /*--- RAMDAC command enable ---*/
  #define VxP_RAMDAC_DISABLE     0x00
  #define VxP_RAMDAC_ENABLE      0x80

#define VxP_VGA_CTRL_C         0xCD
  /*--- pulse width compensation ---*/
  #define VxP_LOW_PULSE_COMP     0x00
  #define VxP_HIGH_PULSE_COMP    0x01
  /*--- system VGA clock rising edge ---*/
  #define VxP_VGA_CLK_RISE_m4    0x00
  #define VxP_VGA_CLK_RISE_0     0x04
  #define VxP_VGA_CLK_RISE_10    0x14
  /*--- system VGA clock select ---*/
  #define VxP_VGA_CLK_DELAYED    0x00
  #define VxP_VGA_CLK_UNDELAYED  0x20
  #define VxP_VGA_CLK_INVERTED   0x40
  #define VxP_VGA_CLK_PULSE      0x60

#define VxP_VGA_CTRL_D         0xCE
  /*--- system VGA clock falling edge invert ---*/
  #define VxP_VGA_CLK_FALL_NINV  0x00
  #define VxP_VGA_CLK_FALL_INV   0x01
  /*--- system VGA clock falling edge delay ---*/
  #define VxP_VGA_CLK_FALL_m4    0x00
  #define VxP_VGA_CLK_FALL_0     0x02
  #define VxP_VGA_CLK_FALL_10    0x14
  /*--- VGA blank sample delay ---*/
  #define VxP_VGA_BLANK_m1       0x00
  #define VxP_VGA_BLANK_0        0x40
  #define VxP_VGA_BLANK_1        0x80
  #define VxP_VGA_BLANK_2        0xC0

#define VxP_MAX_HCOUNT_1       0xD0
#define VxP_MAX_HCOUNT_2       0xD1

#define VxP_INT_CTRL_2         0xD2
  /*--- horizontal sync interrupt enable ---*/
  #define VxP_HSYNC_INT_DISABLE  0x00
  #define VxP_HSYNC_INT_ENABLE   0x01
  /*--- vertical sync interrupt enable ---*/
  #define VxP_VSYNC_INT_DISABLE  0x00
  #define VxP_VSYNC_INT_ENABLE   0x02

#define VxP_INT_STATUS_2       0xD3
  #define VxP_HSYNC_STAT         0x01
  #define VxP_VSYNC_STAT         0x02
  #define VxP_BLANK_STAT         0x04
  #define VxP_UNDERFLOW          0x08
  #define VxP_HSYNC_INT_STAT     0x10
  #define VxP_VSYNC_INT_STAT     0x20

#define VxP_VGA_DATA_BYTE_0    0xD5
#define VxP_VGA_DATA_BYTE_1    0xD6
#define VxP_VGA_DATA_BYTE_2    0xD7
#define VxP_CHROMA_KEY_R_LOW   0xD8
#define VxP_CHROMA_KEY_R_HIGH  0xD9
#define VxP_CHROMA_KEY_G_LOW   0xDA
#define VxP_CHROMA_KEY_G_HIGH  0xDB
#define VxP_CHROMA_KEY_B_LOW   0xDC
#define VxP_CHROMA_KEY_B_HIGH  0xDD

#endif
